Bug 1298826 - Libreoffice 5.0.4 and 5.0.5 occasionally crash Xorg
Libreoffice 5.0.4 and 5.0.5 occasionally crash Xorg
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-01-15 03:18 EST by Marco Guazzone
Modified: 2016-12-20 12:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 12:54:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The Xorg log. Lines from 394 contain some info about the crash (28.90 KB, text/plain)
2016-01-15 03:18 EST, Marco Guazzone
no flags Details

  None (edit)
Description Marco Guazzone 2016-01-15 03:18:46 EST
Created attachment 1115044 [details]
The Xorg log. Lines from 394 contain some info about the crash

Description of problem:
Since the last update of libreoffice, sometimes libreoffice crashes Xorg.

Version-Release number of selected component (if applicable): (x86_64)

How reproducible:
I'm unable to deterministically reproduce this error.
So, I cannot guarantee that the steps listed below work.

Steps to Reproduce:
1. Open libreoffice
2. Try to move over the preview images of recent documents.
3. If not crashed, select a recent document, open it and try to work on it

Actual results:
Xorg crashes

Expected results:
No crash

Additional info:
As desktop manager, I use XFCE 4.12 with the native compositor enabled (that is, with the option "enable display compositing" in the "window manager tweaks" dialog enabled).
As login manager, I use LightDM in place of GDM.
Comment 1 Marco Guazzone 2016-01-30 05:31:06 EST
After 15 days of normal behavior, I was thinking the bug was disappeared.
But today, it appeared again (and as before it generated from libreoffice).
I don't post the Xorg since it looks equal to the one already attached (except for memory addresses).
Comment 2 Marco Guazzone 2016-03-24 06:51:12 EDT

Just to inform you that the bug is still present:

[ 11386.749] (EE) Backtrace:
[ 11386.759] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59b459]
[ 11386.760] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f0a3eabdb1f]
[ 11386.761] (EE) 2: /lib64/libc.so.6 (malloc_consolidate+0xdf) [0x7f0a3eb07bdf]
[ 11386.762] (EE) 3: /lib64/libc.so.6 (_int_malloc+0x156) [0x7f0a3eb0a9a6]
[ 11386.762] (EE) 4: /lib64/libc.so.6 (__libc_malloc+0x50) [0x7f0a3eb0c950]
[ 11386.772] (EE) 5: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x89495) [0x7f0a397c1755]
[ 11386.773] (EE) 6: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x8e1f2) [0x7f0a397cafe2]
[ 11386.774] (EE) 7: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x731d1) [0x7f0a39794ca1]
[ 11386.774] (EE) 8: /usr/libexec/Xorg (AddTraps+0x4cf2) [0x51a292]
[ 11386.774] (EE) 9: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x4369af]
[ 11386.774] (EE) 10: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9d3]
[ 11386.775] (EE) 11: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f0a3eaa9580]
[ 11386.775] (EE) 12: /usr/libexec/Xorg (_start+0x29) [0x424d09]
[ 11386.776] (EE) 13: ? (?+0x29) [0x29]
[ 11386.776] (EE)
[ 11386.776] (EE) Segmentation fault at address 0x0
[ 11386.776] (EE)
Fatal server error:
[ 11386.776] (EE) Caught signal 11 (Segmentation fault). Server aborting
[ 11386.776] (EE)
[ 11386.776] (EE)
Please consult the Fedora Project support
     at http://wiki.x.org
 for help.
[ 11386.776] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 11386.776] (EE)
[ 11386.777] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 11386.849] (EE) Server terminated with error (1). Closing log file.
Comment 3 Fedora End Of Life 2016-11-24 09:57:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:54:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.